﻿init -1:
    python hide:

        config.developer = False
        config.screen_width = 800
        config.screen_height = 600
        config.window_title = u"Sexual Fantasy Kingdom vol. I - Sex with Creatures - TRIAL VERSION"

        theme.roundrect(
            ## The color of an idle widget face.
            widget = "#B99579",
            ## The color of a focused widget face.
            widget_hover = "#D7B996",
            ## The color of the text in a widget.
            widget_text = "#271F16",
            ## The color of the text in a selected widget. (For
            ## example, the current value of a preference.)
            widget_selected = "#ffffff",
            ## The color of a disabled widget face. 
            disabled = "#7c6147",
            ## The color of disabled widget text.
            disabled_text = "#a2805e",
            ## The color of informational labels.
            label = "#ffffff",
            ## The color of a frame containing widgets.
            frame = "#6a543e",
            centered = True,
            button_menu = True,
            rounded_window = False,
            ## The background of the main menu.
            mm_root = "title.jpg",
            ## The background of the game menu.
            gm_root = "blank.jpg",         
            )
        config.main_menu = [
            ( u"ゲームスタート", "start", 'True'),
            ( u"オプション", _intra_jumps("_prefs_screen", "main_game_transition"), 'True' ),
            ( u"終了",  ui.jumps("_quit"), 'True' ),
            ]
        config.game_menu = [
            ( "return", u"戻る", ui.jumps("_return"), 'True'),
            ( "mainmenu", u"メインメニュー",  _intra_jumps("_main_menu", "main_game_transition"), 'True'),
            ( "quit", u"終了", lambda : _quit_prompt("quit"), 'True'),
            ]
            #replaced    lambda : _mainmenu_prompt(), 'not renpy.context().main_menu'    with    
            ##_intra_jumps("_main_menu", "main_game_transition"), 'True'
            #replaced    lambda : _quit_prompt("quit")     with    ui.jumps("_quit")
        #########################################
        ## Padding is space inside the window, where the background is
        ## drawn.
        style.window.left_padding = 6
        style.window.right_padding = 6
        style.window.top_padding = 6
        style.window.bottom_padding = 6
        ## This is the minimum height of the window, including the margins
        ## and padding.
        style.window.yminimum = 80
        style.window.background = Solid((124,97,71,155))
        #########################################
        ## This lets you change the placement of the main menu.
        style.mm_menu_frame.xpos = 0.5
        style.mm_menu_frame.xanchor = 0.5
        style.mm_menu_frame.ypos = 0.9
        style.mm_menu_frame.yanchor = 0.9
        #########################################
        ## Changing the size of buttons in menus
        style.menu_choice_button.xminimum = int(config.screen_width * 0.3)
        style.menu_choice_button.xmaximum = int(config.screen_width * 0.3)
        #########################################
        ## These let you customize the default font used for text in Ren'Py.
        ## The file containing the default font.

        style.default.font = "mikachanALL.ttc"
        style.default.language = "eastasian"

        ## The default size of text.

        style.default.size = 22

        ## Note that these only change the size of some of the text. Other
        ## buttons have their own styles.
        #########################################
        config.has_sound = False
        config.has_music = True
        config.has_voice = False
        ## Sounds that are used when button and imagemaps are clicked.
        #style.button.activate_sound = "click.wav"
        #style.button.hover_sound = "beep.wav"
        #style.imagemap.activate_sound = "click.wav"
        #style.imagemap.hover_sound = "beep.wav"
        #style.default.activate_sound = "click.wav"
        #style.default.hover_sound = "beep.wav"
        ## Sounds that are used when entering and exiting the game menu.
        #config.enter_sound = "click.wav"
        #config.exit_sound = "click.wav"

        ## A sample sound that can be played to check the sound volume.
        #config.sample_sound = "click.wav"

        ## Music that is played while the user is at the main menu.
        # config.main_menu_music = "main_menu_theme.ogg"

        #########################################
        ## Transitions.
        ## Used when entering the game menu from the game.
        config.enter_transition = dissolve
        ## Used when exiting the game menu to the game.
        config.exit_transition = dissolve
        ## Used between screens of the game menu.
        config.intra_transition = None
        ## Used when entering the game menu from the main menu.
        config.main_game_transition = None
        ## Used when returning to the main menu from the game.
        config.game_main_transition = dissolve
        ## Used when entering the main menu from the splashscreen.
        config.end_splash_transition = dissolve
        ## Used when entering the main menu after the game has ended.
        config.end_game_transition = None
        
        config.has_transitions = False
        config.has_cps = False
        config.has_afm = False
        config.has_skipping = False
        config.has_skip_after_choice = False

        #########################################
        ## Default values of Preferences.
        ## Note: These options are only evaluated the first time a
        ## game is run. To have them run a second time, delete
        ## game/saves/persistent
        ## Should we start in fullscreen mode?
        config.default_fullscreen = False
        
        ## The default text speed in characters per second. 0 is infinite.
        config.default_text_cps = 0
        
        config.file_page_rows = 1
        config.file_page_cols = 1
        config.file_quick_access_pages = 0
        config.file_picker_positions = None
        config.disable_file_pager = True
        config.disable_thumbnails = True
        config.has_autosave = False
        config.has_quicksave = False
        #_game_menu_screen = "_prefs_screen"
        
#switching display with skip
        config.preferences['prefs_left'] = [
            config.all_preferences[u'Skip'],
            config.all_preferences[u'Transitions'],
            #config.all_preferences[u'Joystick...'],
            ]
#switching display with skip
        config.preferences['prefs_center'] = [
            config.all_preferences[u'Display'],
            config.all_preferences[u'After Choices'],
            config.all_preferences[u'Text Speed'],
            config.all_preferences[u'Auto-Forward Time'],
            ]

        config.preferences['prefs_right'] = [
            #config.all_preferences[u'Music Volume'],
            config.all_preferences[u'Sound Volume'],
            ]

        config.joystick_preferences['prefs_joystick'] = [
            config.all_preferences[u'Joystick Configuration'],
            ]